Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.ser.std
Class StaticListSerializerBase<T extends Collection<?>>

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<T>
          com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
              com.fasterxml.jackson.databind.ser.std.StaticListSerializerBase<T>

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware

Direct Known Subclasses:
  IndexedStringListSerializer, StringCollectionSerializer

    public abstract class StaticListSerializerBase<T extends Collection<?>>

extends StdSerializer<T>

Intermediate base class for Lists, Collections and Arrays that contain static (non-dynamic) value types.

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`_handledType`

Constructor Summary
`protected` | `StaticListSerializerBase(Class<?> cls)`

Method Summary
`protected abstract void` | `acceptContentVisitor(JsonArrayFormatVisitor visitor)`
`void` | `acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor, JavaType typeHint)` Default implementation specifies no format.
`protected abstract JsonNode` | `contentSchema()`
`JsonNode` | `getSchema(SerializerProvider provider, Type typeHint)` Default implementation simply claims type is "string"; usually overriden by custom serializers.
`boolean` | `isEmpty(T value)` Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`createObjectNode, createSchemaNode, createSchemaNode, getSchema, handledType, isDefaultSerializer, serialize, wrapAndThrow, wrapAndThrow`

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`getDelegatee, isUnwrappingSerializer, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticListSerializerBase

    protected StaticListSerializerBase(Class<?> cls)

Method Detail

### isEmpty

    public boolean isEmpty(T value)

  Description copied from class: `JsonSerializer`
  Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).

  Default implementation will consider only null values to be empty.

  Overrides:
    `isEmpty` in class `JsonSerializer<T extends Collection<?>>`

### getSchema

    public JsonNode getSchema(SerializerProvider provider,
                              Type typeHint)

  Description copied from class: `StdSerializer`
  Default implementation simply claims type is "string"; usually overriden by custom serializers.

  Specified by:
    `getSchema` in interface `SchemaAware`
  Overrides:
    `getSchema` in class `StdSerializer<T extends Collection<?>>`
  Parameters:
    `provider` - The serializer provider.
    `typeHint` - A hint about the type.
  Returns:
    Json-schema for this serializer.

### acceptJsonFormatVisitor

    public void acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor,
                                        JavaType typeHint)

  Description copied from class: `StdSerializer`
  Default implementation specifies no format. This behavior is usually overriden by custom serializers.

  Specified by:
    `acceptJsonFormatVisitor` in interface `JsonFormatVisitable`
  Overrides:
    `acceptJsonFormatVisitor` in class `StdSerializer<T extends Collection<?>>`
    `typeHint` - Type of element (entity like property) being visited

### contentSchema

    protected abstract JsonNode contentSchema()

### acceptContentVisitor

    protected abstract void acceptContentVisitor(JsonArrayFormatVisitor visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.